import PropTypes from 'ant-design-vue/es/_util/vue-types';
import _extends from 'babel-runtime/helpers/extends';
/* 混入的props */

var formMixinProps = {
  // 表单item列表
  list: PropTypes.oneOfType([PropTypes.array, PropTypes.shape({
    // 表单key
    key: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).required,
    // 表单label
    label: PropTypes.string.required,
    // 类型
    type: PropTypes.string.required,
    // 表单关联key
    keys: PropTypes.array,
    // 组件的props
    props: PropTypes.object,
    // 是否必输
    required: PropTypes.bool,
    // 校验规则
    rules: PropTypes.array,
    // 选择器组件无默认值时是否需要初始化默认选中第一个
    init: PropTypes.bool,
    // 选择器组件字典类型的传入dictId
    dictId: PropTypes.bool,
    // 是否需要全部，下拉选择器select有此参数
    needAll: PropTypes.bool
  })]),
  // 表单默认数据
  formData: PropTypes.object
};
/* 表单的props */

var formProps = _extends({}, formMixinProps, {
  // 表单选项label的span
  labelSpan: PropTypes.number.def(6),
  // 表单选项span全部
  totalSpan: PropTypes.number.def(24),
  // 只可编辑文件上传
  isOnlyEditUpload: PropTypes.bool.def(false),
  // 不可编辑的key列表
  disabledKeyList: PropTypes.array.def([]),
  // oss策略信息，针对有图片上传的表单
  ossClient: PropTypes.object
});

export { formMixinProps, formProps };