import _extends from 'babel-runtime/helpers/extends';
import PropTypes from 'ant-design-vue/es/_util/vue-types';
import ATable from 'ant-design-vue/es/table';

var tableProps = _extends({}, ATable.props, {
  rowKey: PropTypes.oneOfType([PropTypes.string, PropTypes.func]).def('key'),
  data: PropTypes.func.required,
  pageNum: PropTypes.number.def(1),
  pageSize: PropTypes.number.def(10),
  showSizeChanger: PropTypes.bool.def(true),
  size: PropTypes.string.def('default'),

  /**
   * alert: {
   *   show: true,
   *   clear: Function
   * }
   */
  alert: PropTypes.oneOfType([PropTypes.bool, PropTypes.object]),
  rowSelection: PropTypes.object,

  /** @Deprecated */
  showAlertInfo: PropTypes.bool.def(false),
  showPagination: PropTypes.oneOfType([PropTypes.bool, PropTypes.string]).def('auto'),

  /**
   * enable page URI mode
   *
   * e.g:
   * /users/1
   * /users/2
   * /users/3?queryParam=test
   * ...
   */
  pageURI: PropTypes.bool.def(false),
  // 是否展示快速跳页
  showQuickJumper: PropTypes.bool.def(true)
});

export default tableProps;